Opened 9 years ago

Closed 7 years ago

#1186 closed defect (wontfix)

WinGrass7 - v.krige not working

Reported by: hellik Owned by: aghisla
Priority: normal Milestone: 7.0.0
Component: Vector Version: svn-trunk
Keywords: wingrass, v.krige Cc: grass-dev@…
CPU: x86-32 Platform: MSWindows Vista

Description

tested with WinGRASS-7.0.SVN-r43746-1-Setup.exe

(1) v.krige in "Raster -> Interpolate Surface -> Ordinary or block kriging" is greyed out

(2)v.krige-wx-gui from the wx-command-line is starting, but following error message if selecting the vector data

Traceback (most recent call last):
  File "C:\Program Files\GRASS-70-SVN\etc\gui\wxpython\gui_m
odules\menuform.py", line 1797, in OnUpdateDialog

fn(**kwargs)
  File "c:/osgeo4w/usr/src/grass_trunk/dist.i686-pc-
mingw32/etc/gui/wxpython/gui_modules/gselect.py", line 722,
in InsertColumns
TypeError
:
int() argument must be a string or a number, not 'NoneType'

there seems to be a hangover from the building environment.

after fill in all requirements for v.krige, there are following errors:

v.krige.py --verbose input=vrandomp@g7 column=zvalue output=testrastout model=Exp block=4 range=7 nugget=6 sill=7 output_var=testrastvarout
Loading packages, please wait...
Processing 2025000 cells. Computing time raises
exponentially with
resolution.
Importing data...
Lade nötiges Paket: sp
Lade nötiges Paket: rgdal
Geospatial Data Abstraction Library extensions to R successfully loaded
Loaded GDAL runtime: GDAL 1.7.1, released 2010/02/08
Path to GDAL shared files: C:/PROGRA~1/R/R-211~1.1/library/rgdal/gdal
Loaded PROJ.4 runtime: Rel. 4.7.1, 23 September 2009
Path to PROJ.4 shared files: C:/PROGRA~1/R/R-211~1.1/library/rgdal/proj
Lade nötiges Paket: XML
GRASS GIS interface loaded with GRASS version: 7.0.svn
and location: nc_spm_08
Lade nötiges Paket: foreign
Lade nötiges Paket: lattice
	Note: polygon geometry computations in maptools
 	depend on the package gpclib, which has a
 	restricted licence. It is disabled by default;
 	to enable gpclib, type gpclibPermit()
Checking rgeos availability as gpclib substitute:
FALSE 
Command: v.info 
Extension: .exe 
Description: Outputs basic information about a vector map. 
Keywords: Vektor, metadata, history 
Parameters:
  name: map, type: string, required: yes, multiple: no
  keydesc: name, keydesc_count: 1
[Data source for OGR access]
  name: layer, type: string, required: yes, multiple: no
[A single vector map can be connected to multiple database tables. This number determines which table to use. Layer name for OGR access.]
Flags:
  name: h [Gebe den Werdegang anstelle einer Info aus.]
  name: c [Gebe Typ/Name der Tabellenspalten bestimmter Layer anstatt der Info aus.]
  name: g [Gebe nur die Region der Rasterkarte aus.]
  name: m [Gebe nur den Titel der Rasterkarte aus.]
  name: t [Gebe nur Informationen zur Topologie aus.]
  name: verbose [Detaillierter Ausgabemodus]
  name: quiet [Schweigsamer Ausgabemodus]
Fehler in doGRASS(cmd, flags = flags, parameters = parameters) : 
  Missing required parameter: layer
Traceback (most recent call last):
  File "C:\Program Files\GRASS-70-SVN\scripts\v.krige.py",
line 419, in <module>
    sys.exit(main(argv = grass.parser()))
  File "C:\Program Files\GRASS-70-SVN\scripts\v.krige.py",
line 386, in main
    logger = grass)
  File "C:\Program Files\GRASS-70-SVN\scripts\v.krige.py",
line 261, in Run
    globals()["InputData"] = self.ImportMap(input, column)
  File "C:\Program Files\GRASS-70-SVN\scripts\v.krige.py",
line 150, in ImportMap
    Rpointmap = robjects.r.readVECT6(map, type =  'point')
  File "C:\Program Files\GRASS-70-SVN\Python25\lib\site-
packages\rpy2\robjects\__init__.py", line 422, in __call__
    res = super(RFunction, self).__call__(*new_args,
**new_kwargs)
rinterface.RRuntimeError: Fehler in doGRASS(cmd, flags =
flags, parameters = parameters) :
  Missing required parameter: layer
(Fri Oct 01 23:28:48 2010) Command finished (6 sec)                             

Helmut

Attachments (1)

grass_cmd_history.txt.bz2 (164.7 KB) - added by hellik 9 years ago.
v.krige-output WinGrass65 in debug-level 3

Download all attachments as: .zip

Change History (8)

comment:1 Changed 9 years ago by aghisla

Owner: changed from grass-dev@… to aghisla
Status: newassigned

Hi Helmut,

thanks for testing, unfortunately I don't have a Vista install to reproduce this problem. which version of Python and GDAL are you using? Do previous versions of WinGRASS use to work?

I'll provide some code for testing the R-GRASS-Python interface asap.

Anne

comment:2 in reply to:  1 ; Changed 9 years ago by hellik

Replying to aghisla:

Hi Helmut,

thanks for testing, unfortunately I don't have a Vista install to reproduce this problem. which version of Python and GDAL are you using? Do previous versions of WinGRASS use to work?

I'll provide some code for testing the R-GRASS-Python interface asap.

Anne

Hi Anne,

I'm testing this with the nightly wingrass-builds (http://josef.fsv.cvut.cz/wingrass/grass70/; WinGRASS-7.0.SVN-r43760-1-Setup.exe) which are based upon the osgeo4w-stack.

GRASS 7.0.svn> python --version
Python 2.5.1
GRASS 7.0.svn> gdalwarp --version
GDAL 1.5.4, released 2009/01/07

but R-internally used is GDAL 1.7.1 delivered by rgdal

the same test again with DEBUG=3

v.krige.py --verbose input=vrandomp@g7 column=zvalue output=testrast model=Exp block=3 range=3 nugget=4 sill=3 output_var=testoutvar
D2/3: filename = C:\Program
Files\GRASS-70-SVN\scripts\v.krige.py
D1/3: grass.script.core.start_command(): g.findfile -n
file=vrandomp@g7 element=vector
D1/3: grass.script.core.start_command(): g.findfile -n
file=testrast element=cell
D1/3: grass.script.core.start_command(): g.findfile -n
file=testoutvar element=cell
D1/3: grass.script.core.start_command(): g.message
message=Loading packages, please wait...
Loading packages, please wait...
D1/3: grass.script.core.start_command(): g.region -g
D2/3: G__read_Cell_head
D2/3: G__read_Cell_head_array
D3/3: region item: proj:       99
D3/3: region item: zone:       0
D3/3: region item: north:      320000
D3/3: region item: south:      10000
D3/3: region item: east:       935000
D3/3: region item: west:       120000
D3/3: region item: cols:       1630
D3/3: region item: rows:       620
D3/3: region item: e-w resol:  500
D3/3: region item: n-s resol:  500
D3/3: region item: top:        500
D3/3: region item: bottom:     -500
D3/3: region item: cols3:      815
D3/3: region item: rows3:      310
D3/3: region item: depths:     10
D3/3: region item: e-w resol3: 1000
D3/3: region item: n-s resol3: 1000
D3/3: region item: t-b resol:  100
D2/3: G__read_Cell_head
D2/3: G__read_Cell_head_array
D3/3: region item: proj:       99
D3/3: region item: zone:       0
D3/3: region item: north:      228500
D3/3: region item: south:      215000
D3/3: region item: east:       645000
D3/3: region item: west:       630000
D3/3: region item: cols:       1500
D3/3: region item: rows:       1350
D3/3: region item: e-w resol:  10
D3/3: region item: n-s resol:  10
D3/3: region item: top:        1
D3/3: region item: bottom:     0
D3/3: region item: cols3:      1500
D3/3: region item: rows3:      1350
D3/3: region item: depths:     1
D3/3: region item: e-w resol3: 10
D3/3: region item: n-s resol3: 10
D3/3: region item: t-b resol:  1
D1/3: grass.script.core.start_command(): g.message
message=Processing 2025000 cells. Computing time raises
exponentially with resolution.
Processing 2025000 cells. Computing time raises
exponentially with
resolution.
D1/3: grass.script.core.start_command(): g.message
message=Importing data...
Importing data...
Traceback (most recent call last):
  File "C:\Program Files\GRASS-70-SVN\scripts\v.krige.py",
line 419, in <module>
    sys.exit(main(argv = grass.parser()))
  File "C:\Program Files\GRASS-70-SVN\scripts\v.krige.py",
line 386, in main
    logger = grass)
  File "C:\Program Files\GRASS-70-SVN\scripts\v.krige.py",
line 261, in Run
    globals()["InputData"] = self.ImportMap(input, column)
  File "C:\Program Files\GRASS-70-SVN\scripts\v.krige.py",
line 150, in ImportMap
    Rpointmap = robjects.r.readVECT6(map, type =  'point')
  File "C:\Program Files\GRASS-70-SVN\Python25\lib\site-
packages\rpy2\robjects\__init__.py", line 422, in __call__
    res = super(RFunction, self).__call__(*new_args,
**new_kwargs)
rinterface.RRuntimeError: Fehler in doGRASS(cmd, flags =
flags, parameters = parameters) :
  Missing required parameter: layer
Lade nötiges Paket: sp
Lade nötiges Paket: rgdal
Geospatial Data Abstraction Library extensions to R successfully loaded
Loaded GDAL runtime: GDAL 1.7.1, released 2010/02/08
Path to GDAL shared files: C:/PROGRA~1/R/R-211~1.1/library/rgdal/gdal
Loaded PROJ.4 runtime: Rel. 4.7.1, 23 September 2009
Path to PROJ.4 shared files: C:/PROGRA~1/R/R-211~1.1/library/rgdal/proj
Lade nötiges Paket: XML
GRASS GIS interface loaded with GRASS version: 7.0.svn
and location: nc_spm_08
Lade nötiges Paket: foreign
Lade nötiges Paket: lattice
	Note: polygon geometry computations in maptools
 	depend on the package gpclib, which has a
 	restricted licence. It is disabled by default;
 	to enable gpclib, type gpclibPermit()
Checking rgeos availability as gpclib substitute:
FALSE 
Command: v.info 
Extension: .exe 
Description: Outputs basic information about a vector map. 
Keywords: Vektor, metadata, history 
Parameters:
  name: map, type: string, required: yes, multiple: no
  keydesc: name, keydesc_count: 1
[Data source for OGR access]
  name: layer, type: string, required: yes, multiple: no
[A single vector map can be connected to multiple database tables. This number determines which table to use. Layer name for OGR access.]
Flags:
  name: h [Gebe den Werdegang anstelle einer Info aus.]
  name: c [Gebe Typ/Name der Tabellenspalten bestimmter Layer anstatt der Info aus.]
  name: g [Gebe nur die Region der Rasterkarte aus.]
  name: m [Gebe nur den Titel der Rasterkarte aus.]
  name: t [Gebe nur Informationen zur Topologie aus.]
  name: verbose [Detaillierter Ausgabemodus]
  name: quiet [Schweigsamer Ausgabemodus]
Fehler in doGRASS(cmd, flags = flags, parameters = parameters) : 
  Missing required parameter: layer
(Sat Oct 02 22:14:01 2010) Command finished (12 sec)       

this test above is in (Win)Grass70 where the vector topology is handled in another way as in (Win)Grass64/65, maybe there is some R/Grass-interface-issue with this change in vector topology. I'll try this also in WinGrass65 where vector topology is the same as in Grass64.

Helmut

comment:3 in reply to:  2 Changed 9 years ago by hellik

Replying to hellik:

Replying to aghisla:

Hi Helmut,

thanks for testing, unfortunately I don't have a Vista install to reproduce this problem. which version of Python and GDAL are you using? Do previous versions of WinGRASS use to work?

I'll provide some code for testing the R-GRASS-Python interface asap.

Anne

Hi Anne,

I'm testing this with the nightly wingrass-builds (http://josef.fsv.cvut.cz/wingrass/grass70/; WinGRASS-7.0.SVN-r43760-1-Setup.exe) which are based upon the osgeo4w-stack.

some additional debug-infos:

GRASS 7.0.svn> D2/3: filename = C:\Program Files\GRASS-70-SVN\scripts\v.krige.py
D2/3: filename = C:\Program Files\GRASS-70-SVN\scripts\v.krige.py
D2/3: G__read_Cell_head
D2/3: G__read_Cell_head_array
D3/3: region item: proj:       99
D3/3: region item: zone:       0
D3/3: region item: north:      228500
D3/3: region item: south:      215000
D3/3: region item: east:       645000
D3/3: region item: west:       630000
D3/3: region item: cols:       1500
D3/3: region item: rows:       1350
D3/3: region item: e-w resol:  10
D3/3: region item: n-s resol:  10
D3/3: region item: top:        1
D3/3: region item: bottom:     0
D3/3: region item: cols3:      1500
D3/3: region item: rows3:      1350
D3/3: region item: depths:     1
D3/3: region item: e-w resol3: 10
D3/3: region item: n-s resol3: 10
D3/3: region item: t-b resol:  1
D2/3: dbDbmscap(): opendir [C:\Program Files\GRASS-70-SVN\driver\db\]
D2/3: dbDbmscap(): opendir [C:\Program Files\GRASS-70-SVN\driver\db\]
D3/3: win_spawn: args = C:\windows\system32\cmd.exe /c ""C:\Program Files\GRASS-70-SVN\driver\db\sqlite.exe""
D3/3:
db_driver_open_database()
D3/3: name = 'C:\gisdata\grassdata/nc_spm_08/g7/sqlite.db'
D2/3: name2 = 'C:\gisdata\grassdata/nc_spm_08/g7/sqlite.db'
D3/3: describe_table()
D3/3: ncols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: nkcols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D2/3: col: cat, nkcols 0, litetype : 1, sqltype 3
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: xcoor, nkcols 1, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: ycoor, nkcols 2, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: zvalue, nkcols 3, litetype : 2, sqltype 6
D3/3: Escaped SQL: select * from vrandomp
D3/3: describe_table()
D3/3: ncols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: nkcols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D2/3: col: cat, nkcols 0, litetype : 1, sqltype 3
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: xcoor, nkcols 1, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: ycoor, nkcols 2, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: zvalue, nkcols 3, litetype : 2, sqltype 6
D3/3: db_close_database()
D2/3: dbDbmscap(): opendir [C:\Program Files\GRASS-70-SVN\driver\db\]
D2/3: dbDbmscap(): opendir [C:\Program Files\GRASS-70-SVN\driver\db\]
D3/3: win_spawn: args = C:\windows\system32\cmd.exe /c ""C:\Program Files\GRASS-70-SVN\driver\db\sqlite.exe""
D3/3:
db_driver_open_database()
D3/3: name = 'C:\gisdata\grassdata/nc_spm_08/g7/sqlite.db'
D2/3: name2 = 'C:\gisdata\grassdata/nc_spm_08/g7/sqlite.db'
D3/3: describe_table()
D3/3: ncols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: nkcols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D2/3: col: cat, nkcols 0, litetype : 1, sqltype 3
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: xcoor, nkcols 1, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: ycoor, nkcols 2, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: zvalue, nkcols 3, litetype : 2, sqltype 6
D3/3: Escaped SQL: select * from vrandomp
D3/3: describe_table()
D3/3: ncols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: nkcols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D2/3: col: cat, nkcols 0, litetype : 1, sqltype 3
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: xcoor, nkcols 1, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: ycoor, nkcols 2, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: zvalue, nkcols 3, litetype : 2, sqltype 6
D3/3: db_close_database()
D2/3: dbDbmscap(): opendir [C:\Program Files\GRASS-70-SVN\driver\db\]
D2/3: dbDbmscap(): opendir [C:\Program Files\GRASS-70-SVN\driver\db\]
D3/3: win_spawn: args = C:\windows\system32\cmd.exe /c ""C:\Program Files\GRASS-70-SVN\driver\db\sqlite.exe""
D3/3:
db_driver_open_database()
D3/3: name = 'C:\gisdata\grassdata/nc_spm_08/g7/sqlite.db'
D2/3: name2 = 'C:\gisdata\grassdata/nc_spm_08/g7/sqlite.db'
D3/3: describe_table()
D3/3: ncols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: nkcols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D2/3: col: cat, nkcols 0, litetype : 1, sqltype 3
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: xcoor, nkcols 1, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: ycoor, nkcols 2, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: zvalue, nkcols 3, litetype : 2, sqltype 6
D3/3: Escaped SQL: select * from vrandomp
D3/3: describe_table()
D3/3: ncols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: sqltype = 6
D3/3: litetype = 2
D3/3: nkcols = 4
D3/3: sqltype = 3
D3/3: litetype = 1
D2/3: col: cat, nkcols 0, litetype : 1, sqltype 3
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: xcoor, nkcols 1, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: ycoor, nkcols 2, litetype : 2, sqltype 6
D3/3: sqltype = 6
D3/3: litetype = 2
D2/3: col: zvalue, nkcols 3, litetype : 2, sqltype 6
D3/3: db_close_database()

GRASS 7.0.svn>

comment:4 in reply to:  2 ; Changed 9 years ago by hellik

Replying to hellik: [...]

I'll try this also in WinGrass65 where vector topology is the same as in Grass64.

testing in the nightly build WinGRASS-6.5.SVN-r43763-1-Setup.exe

(1) v.krige-wxgui isn't starting neither from the wx-gui-pulldown menue "Raster -> Interpolate surfaces -> Ordinary or block kriging" nor from the wx-gui-command-line.

some message with debug-level=3:

v.krige.py                                                                      
D1/3: grass.script.core.start_command(): g.message
message=Loading packages, please wait...
Loading packages, please wait...
D1/3: grass.script.core.start_command(): g.gisenv -n
Lade nötiges Paket: sp
Lade nötiges Paket: rgdal
Geospatial Data Abstraction Library extensions to R successfully loaded
Loaded GDAL runtime: GDAL 1.7.1, released 2010/02/08
Path to GDAL shared files: C:/Program Files/R/R-2.11.1/library/rgdal/gdal
Loaded PROJ.4 runtime: Rel. 4.7.1, 23 September 2009
Path to PROJ.4 shared files: C:/Program Files/R/R-2.11.1/library/rgdal/proj
Lade nötiges Paket: XML
GRASS GIS interface loaded with GRASS version: 6.5.svn
and location: nc_spm_08
Lade nötiges Paket: foreign
Lade nötiges Paket: lattice
	Note: polygon geometry computations in maptools
 	depend on the package gpclib, which has a
 	restricted licence. It is disabled by default;
 	to enable gpclib, type gpclibPermit()
Checking rgeos availability as gpclib substitute:
FALSE 
Lade nötiges Paket: automap
(Sat Oct 02 22:45:02 2010) Command finished (6 sec)     

(2) if in the wxgui-layer-manager the vector, which should be used, is marked and Ordinary or block kriging is choosen in the pull-down-menue, then following error message:

v.krige.py input=vrandompG65@g65                                                
D2/3: filename = c:/Program
Files/GRASS-65-SVN/scripts/v.krige.py
FEHLER: Benötigter Parameter <column> wurde nicht angegeben:
    (Name of attribute column with numerical value to be
interpolated).
Beschreibung:
 Performs ordinary or block kriging.
Schlüsselwörter:
 vector, interpolation, kriging
Benutzung:
 v.krige.py input=string column=string [output=string]
[package=string]
   [model=string[,string,...]] [block=value] [range=value]
[nugget=value]
   [sill=value] [output_var=string] [--overwrite]
[--verbose] [--quiet]
Flags:
 --o   Ausgabedateien dürfen bereits existierende Dateien
überschreiben.
 --v   Detaillierter Ausgabemodus
 --q   Schweigsamer Ausgabemodus
Parameter:
       input   Name of point vector map containing sample
data
      column   Name of attribute column with numerical value
to be interpolated
      output   Name der Ausgabe-Rasterkarte.
                If omitted, will be <input name>_kriging
     package   R package to use
               Optionen: gstat
                Standard: gstat
       model   Variogram model(s)
                Leave empty to test all models (requires
automap)
               Optionen: Exp,Sph,Gau,Mat,Lin
       block   Block size (square block)
                Block size. Used by block kriging.
       range   Range value
                Automatically fixed if not set
      nugget   Nugget value
                Automatically fixed if not set
        sill   Sill value
                Automatically fixed if not set
  output_var   Name for output variance raster map
                If omitted, will be <input name>_kriging_var
(Sat Oct 02 22:52:29 2010) Command finished (1 sec)      

the error says that the column (Name of attribute column with numerical value to be interpolated) isn't defined.

IMHO if I choose Ordinary or block kriging in the pulldown menue, the v.krige-gui should be opened, whatever (vector-)layer is marked in layer-manager.

Helmut

comment:5 in reply to:  4 Changed 9 years ago by hellik

Replying to hellik:

Replying to hellik: [...]

I'll try this also in WinGrass65 where vector topology is the same as in Grass64.

testing in the nightly build WinGRASS-6.5.SVN-r43763-1-Setup.exe

and with entering following command in the wx-gui-command-line there is following output. the command finishes, but no interpolated raster is created.

v.krige.py --verbose input=vrandompG65@g65 column=zvalue output=testrast model=Exp block=3 range=3 nugget=4 sill=3 output_var=testoutvar
Loading packages, please wait...
Processing 2025000 cells. Computing time raises
exponentially with
resolution.
Importing data...
Exporting 5000 geometries...

5000 Feature geschrieben.
Traceback (most recent call last):
  File "c:/Program Files/GRASS-65-SVN/scripts/v.krige.py",
line 420, in <module>
    sys.exit(main(argv = grass.parser()))
  File "c:/Program Files/GRASS-65-SVN/scripts/v.krige.py",
line 387, in main
    logger = grass)
  File "c:/Program Files/GRASS-65-SVN/scripts/v.krige.py",
line 260, in Run
    globals()["InputData"] = self.ImportMap(input, column)
  File "c:/Program Files/GRASS-65-SVN/scripts/v.krige.py",
line 156, in ImportMap
    coordinatesDF = robjects.r['data.frame'](x =
coordinatesPreDF.rx('coords.x1')[0],
AttributeError: 'RDataFrame' object has no attribute 'rx'
Lade nötiges Paket: sp
Lade nötiges Paket: rgdal
Geospatial Data Abstraction Library extensions to R successfully loaded
Loaded GDAL runtime: GDAL 1.7.1, released 2010/02/08
Path to GDAL shared files: C:/Program Files/R/R-2.11.1/library/rgdal/gdal
Loaded PROJ.4 runtime: Rel. 4.7.1, 23 September 2009
Path to PROJ.4 shared files: C:/Program Files/R/R-2.11.1/library/rgdal/proj
Lade nötiges Paket: XML
GRASS GIS interface loaded with GRASS version: 6.5.svn
and location: nc_spm_08
Lade nötiges Paket: foreign
Lade nötiges Paket: lattice
	Note: polygon geometry computations in maptools
 	depend on the package gpclib, which has a
 	restricted licence. It is disabled by default;
 	to enable gpclib, type gpclibPermit()
Checking rgeos availability as gpclib substitute:
FALSE 
OGR data source with driver: ESRI Shapefile 
Source: "C:/gisdata/grassdata/nc_spm_08/g65/.tmp", layer: "vrandomp"
with 5000 features and 4 fields
Feature type: wkbPoint with 2 dimensions
(Sat Oct 02 23:11:13 2010) Command finished (20 sec)                            

the full messages with debug level 3 is attached as a file.

Helmut

Changed 9 years ago by hellik

Attachment: grass_cmd_history.txt.bz2 added

v.krige-output WinGrass65 in debug-level 3

comment:6 Changed 9 years ago by neteler

Cc: grass-dev@… added

comment:7 Changed 7 years ago by aghisla

Resolution: wontfix
Status: assignedclosed

Closing this bug for the moment, as v.krige is temporarily removed from compilation and is under major refactoring.

Development discussion is now available here: http://trac.osgeo.org/grass/wiki/wxGUIDevelopment/vkrige

Feel free to open tickets for the upcoming version of v.krige, when it will be published.

Anne

Note: See TracTickets for help on using tickets.